Package ghidra.app.util.datatype.microsoft

# Enum Class GuidUtil.GuidType

java.lang.Object
java.lang.Enum<GuidUtil.GuidType>
ghidra.app.util.datatype.microsoft.GuidUtil.GuidType

All Implemented Interfaces:
  `Serializable`, `Comparable<GuidUtil.GuidType>`, `Constable`

Enclosing class:
  `GuidUtil`

public static enum GuidUtil.GuidType extends Enum<GuidUtil.GuidType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLSID`
  `GUID`
  `IID`
  `SYNTAX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilename()`
  `boolean`
  `hasVersion()`
  `static GuidUtil.GuidType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GuidUtil.GuidType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLSID

    public static final GuidUtil.GuidType CLSID

  - ### IID

    public static final GuidUtil.GuidType IID

  - ### GUID

    public static final GuidUtil.GuidType GUID

  - ### SYNTAX

    public static final GuidUtil.GuidType SYNTAX

- ## Method Details

  - ### values

    public static GuidUtil.GuidType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GuidUtil.GuidType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFilename

    public String getFilename()

  - ### hasVersion

    public boolean hasVersion()